org.apache.fop.render.pcl.fonts.truetype

## Class PCLTTFPCLTFontTable

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable
  - - org.apache.fop.render.pcl.fonts.truetype.PCLTTFPCLTFontTable

    public class PCLTTFPCLTFontTable
    extends PCLTTFTable

### Field Summary

### Fields inherited from class org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable

`reader`

### Constructor Summary

Constructors
Constructor and Description
`PCLTTFPCLTFontTable(FontFileReader in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCapHeight()`
`String` `getCharacterComplement()`
`String` `getFilename()`
`long` `getFontNumber()`
`int` `getPitch()`
`int` `getSerifStyle()`
`int` `getStrokeWeight()`
`int` `getStyle()`
`int` `getSymbolSet()`
`String` `getTypeface()`
`int` `getTypeFamily()`
`long` `getVersion()`
`int` `getWidthType()`
`int` `getXHeight()`

### Methods inherited from class org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable

`skipByte, skipLong, skipShort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PCLTTFPCLTFontTable

    public PCLTTFPCLTFontTable(FontFileReader in)
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### getVersion

    public long getVersion()

#### getFontNumber

    public long getFontNumber()

#### getPitch

    public int getPitch()

#### getXHeight

    public int getXHeight()

#### getStyle

    public int getStyle()

#### getTypeFamily

    public int getTypeFamily()

#### getCapHeight

    public int getCapHeight()

#### getSymbolSet

    public int getSymbolSet()

#### getTypeface

    public String getTypeface()

#### getCharacterComplement

    public String getCharacterComplement()

#### getFilename

    public String getFilename()

#### getStrokeWeight

    public int getStrokeWeight()

#### getWidthType

    public int getWidthType()

#### getSerifStyle

    public int getSerifStyle()